/*
 * Gmail. A Gnome email client.
 * Copyright (C) 1999-2000 Wayne Schuller
 *
 * checkmail.c - stuff to checkmail via pop3 etc..
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#include "main.h"

extern int 			pop3_check(char *server, int port, char *user, char *pass);
extern _GmailApp_	*GmailApp;
extern gboolean open_db(MYSQL *mysql);

void  checkmail_cb (GtkWidget *widget, void *data);

/* Routine to check for new mail....*/
void
checkmail_cb (GtkWidget *widget, void *data)
{
	gchar *username;
	gchar *servername;
	gchar *password;
	
	/* Quick check that the database is there. */
	if (!open_db(&GmailApp->mysql)) { 
		GtkWidget *dialog;
		gchar *msg;
		msg = g_strdup_printf ("Couldn't open a database connection.\nGmail won't attempt to download mail unless the database is ready.");
		dialog = gnome_message_box_new(msg, GNOME_MESSAGE_BOX_ERROR, "doh!", 0);
		gtk_window_set_modal(GTK_WINDOW (dialog), TRUE);
 		gtk_window_set_position(GTK_WINDOW(dialog), GTK_WIN_POS_CENTER);
 		gtk_widget_show(dialog);
		g_free(msg);	
		return; 
		};

	mysql_close(&GmailApp->mysql);

	username = gnome_config_get_string("/gmail/POP3Servers/username");
	servername = gnome_config_get_string("/gmail/POP3Servers/servername");
	password = gnome_config_private_get_string("/gmail/POP3Servers/password");

	/* FIXME: Check if we have valid values in our pop settings. */
	pop3_check(servername, 110, username, password);

	g_free(username);		
	g_free(servername);		
	g_free(password);		
	return;
}


